﻿<!-- BattleForge Special Effect Editor -->
<!-- Copyright(C) 2022 Skylords Reborn -->
<!-- Project licensed under GNU General Public License v3.0. See LICENSE for more information. -->

<UserControl x:Class="BattleForgeEffectEditor.Application.View.ElementSettings.SpecialEffectsSettingsView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:vm="clr-namespace:BattleForgeEffectEditor.Application.ViewModel.ElementSettings"
             xmlns:xctk="http://schemas.xceed.com/wpf/xaml/toolkit"
             d:DataContext="{d:DesignInstance Type=vm:SpecialEffectSettingsViewModel}"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid>
        <ScrollViewer VerticalScrollBarVisibility="Auto">
            <ItemsControl>
                <Label Content="Name" Foreground="Black" FontWeight="Bold"/>
                <TextBox Text="{Binding Name, UpdateSourceTrigger=PropertyChanged}" />
                <Label Content="Length" Foreground="Black" FontWeight="Bold"/>
                <xctk:DecimalUpDown Value="{Binding Length}" />
                <Label Content="Play Length" Foreground="Black" FontWeight="Bold"/>
                <xctk:DecimalUpDown Value="{Binding PlayLength}" />
                <Label Content="Setup XML" Foreground="Black" FontWeight="Bold"/>
                <TextBox Text="{Binding SetupFileName, UpdateSourceTrigger=PropertyChanged}" />
                <Label Content="Setup Source Id" Foreground="Black" FontWeight="Bold"/>
                <xctk:DecimalUpDown Value="{Binding SetupSourceId}" />
                <Label Content="Setup Target Id" Foreground="Black" FontWeight="Bold"/>
                <xctk:DecimalUpDown Value="{Binding SetupTargetId}" />
            </ItemsControl>
        </ScrollViewer>
    </Grid>
</UserControl>
